petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatCompositeGetType

Returns type of composite.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeGetType(Mat mat,MatCompositeType *type)

Not Collective

### Input Parameter

mat -the composite matrix

### Output Parameter

type -type of composite

### See Also

MatCreateComposite(), MatCompositeSetType(), MATCOMPOSITE

### Level

advanced

### Location

src/mat/impls/composite/mcomposite.c

### Examples

src/mat/examples/tutorials/ex9.c.html

### Implementations

MatCompositeGetType_Composite in src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages